Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Connect
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db2connectadapter.appconn
Class Db2ConnectApplicationConnection

    java.lang.Object
      com.stc.connector.db2connectadapter.appconn.DbApplicationConnection
          com.stc.connector.db2connectadapter.appconn.Db2ConnectApplicationConnection

All Implemented Interfaces:
  com.stc.connector.appconn.common.ApplicationConnection

    public class Db2ConnectApplicationConnection

extends DbApplicationConnection

This class implements the ApplicationConnection interface for the Db Application Connection.

Version:
  $Revision: 1.5 $
Author:
  $Author: pveerava $

Field Summary

Fields inherited from class com.stc.connector.db2connectadapter.appconn.DbApplicationConnection
`mDbConnector`

Constructor Summary
`Db2ConnectApplicationConnection(javax.sql.DataSource ds)` Creates a new instance of Db2ConnectApplicationConnection .
`Db2ConnectApplicationConnection(javax.sql.DataSource ds, java.util.Properties connProps)` Creates a new instance of Db2ConnectApplicationConnection .

Method Summary
`com.stc.connector.db.DbConnector` | `getDbConnector()`

Methods inherited from class com.stc.connector.db2connectadapter.appconn.DbApplicationConnection
`close, createApplication, createOutputHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Db2ConnectApplicationConnection

    public Db2ConnectApplicationConnection(javax.sql.DataSource ds)
                                    throws java.lang.Exception

  Creates a new instance of Db2ConnectApplicationConnection .

  Parameters:
    `ds` - the ManagedConnection which created this connection. In database, this is the DataSource.
  Throws:
    `java.lang.Exception`

### Db2ConnectApplicationConnection

    public Db2ConnectApplicationConnection(javax.sql.DataSource ds,
                                           java.util.Properties connProps)
                                    throws java.lang.Exception

  Creates a new instance of Db2ConnectApplicationConnection .

  Parameters:
    `ds` - the ManagedConnection which created this connection. In database, this is the DataSource.
    `connProps` - connection properties. An example is user name.
  Throws:
    `java.lang.Exception`

Method Detail

### getDbConnector

    public com.stc.connector.db.DbConnector getDbConnector()

  Parameters:
    `` -
  Returns:
  Throws:
    ``
  See Also:
    ``

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Connect
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD